Consultar perfil comercial
curl --request GET \
--url https://api.ararahq.com/v1/organizations/me/business-profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/organizations/me/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/organizations/me/business-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/organizations/me/business-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"metaSyncStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"vertical": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>",
"metaSyncedAt": "2023-11-07T05:31:56Z",
"metaSyncError": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Números
Consultar perfil comercial
Perfil comercial salvo na Arara e o estado da publicação no WhatsApp. Permissão: ADMIN.
GET
/
v1
/
organizations
/
me
/
business-profile
Consultar perfil comercial
curl --request GET \
--url https://api.ararahq.com/v1/organizations/me/business-profile \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/organizations/me/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/organizations/me/business-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/organizations/me/business-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"metaSyncStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"vertical": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>",
"metaSyncedAt": "2023-11-07T05:31:56Z",
"metaSyncError": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Response
Perfil